#ifndef CELLRENDERER_ACL_HPP
#define CELLRENDERER_ACL_HPP

#include <gtkmm.h>

class CellRendererACL : public Gtk::CellRendererToggle
{

	protected:
        virtual void render_vfunc (const Glib::RefPtr<Gdk::Window>& window,
                Gtk::Widget& widget,
                const Gdk::Rectangle& background_area,
                const Gdk::Rectangle& cell_area,
                const Gdk::Rectangle& expose_area,
                Gtk::CellRendererState flags
                );

	private:
		Glib::Property<bool> property_marca_fons_;

	public:
		CellRendererACL();
		Glib::PropertyProxy<bool> property_marcar_fons();
};

#endif
